unit MMsgDialogBox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons, dxCore, dxButtons, dxContainer;

type
  TFrmBox = class(TForm)
    dxContainer1: TdxContainer;
    Panel1: TPanel;
    LBL_Mensagem: TLabel;
    BIT_Sim: TdxButton;
    BIT_Nao: TdxButton;
    BIT_Cancelar: TdxButton;
    dxContainer2: TdxContainer;
    dxContainer3: TdxContainer;
    IMG_Exclamation: TImage;
    IMG_Information: TImage;
    IMG_Question: TImage;
    IMG_Stop: TImage;
    LblTitulo: TLabel;
    LblTitulo2: TLabel;
    Image1: TImage;
    dxContainer4: TdxContainer;
    procedure BIT_SimClick(Sender: TObject);
    procedure BIT_NaoClick(Sender: TObject);
    procedure BIT_CancelarClick(Sender: TObject);
    procedure dxContainer4MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure dxContainer4MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure dxContainer4MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    MoveForm : Boolean;
  public
    { Public declarations }
    procedure Movimenta(sender : tObject);
  end;

var
  FrmBox: TFrmBox;

implementation

{$R *.DFM}

procedure TFrmBox.Movimenta(sender: tObject);
const SC_MOVE = $F012;
begin
  ReleaseCapture;
  (sender as TWinControl).Perform(wm_syscommand,sc_move,0);
end;

procedure TFrmBox.BIT_SimClick(Sender: TObject);
begin
  Tag := 0
end;

procedure TFrmBox.BIT_NaoClick(Sender: TObject);
begin
  Tag := 1
end;

procedure TFrmBox.BIT_CancelarClick(Sender: TObject);
begin
  Tag := 2
end;

procedure TFrmBox.dxContainer4MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  MoveForm := True;
end;

procedure TFrmBox.dxContainer4MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if MoveForm = True then Movimenta(self);
end;

procedure TFrmBox.dxContainer4MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  MoveForm := False;
end;

end.
