{*********************************}

  {Crditos-Autor}
  {* Criado por Vincius Magno *}
  {* E-mail magnolara@aol.com  *}

{*********************************}

unit MStrReplace;

interface

uses
  Windows, Messages, SysUtils, Classes;

type
  TMStrReplace = class(TComponent)
  private
    { Private declarations }
    FAboutAutor: String;
    FAboutRelease: String;
    FTextOriginal: string;
    FCharFind: string;
    FCharReplace: string;
    FTextAjustado: string;
    procedure SetAboutAutor(Value: string);
    procedure SetAboutRelease(Value: string);
    procedure SetReplace(Value: string);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override; published
    function ReplaceStr(Nome: String): String;
  published
    { Published declarations }
    property AboutAutor: String read FAboutAutor write SetAboutAutor;
    property AboutRelease: String read FAboutRelease write SetAboutRelease;
    property OriginalText: string read FTextOriginal write SetReplace;
    property AjustadoText: string read FTextAjustado write FTextAjustado;
    property CharFind: string read FCharFind write FCharFind;
    property CharReplace: string read FCharReplace write FCharReplace;
  end;

procedure Register;

implementation

constructor TMStrReplace.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FAboutAutor := 'Vincius Magno Lara - magnolara@aol.com';
  FAboutRelease := '1.0 - 02/05/2003';
  FCharFind := ',';
  FCharReplace := '.';
end;

procedure TMStrReplace.SetAboutAutor(Value: string);
begin
  ;
end;

procedure TMStrReplace.SetAboutRelease(Value: string);
begin
  ;
end;

function TMStrReplace.ReplaceStr(Nome: String): String;
var
  Cont : Integer;
begin
   Result := '';
   for Cont := 1 to Length(Nome) do
   begin
     if Nome[Cont] <> (FCharFind) then
       result := result + Nome[cont]
     else result := result + FCharReplace;
   end;
end;

procedure TMStrReplace.SetReplace(Value: string);
begin
  FTextOriginal := value;
  FTextAjustado := ReplaceStr(FTextOriginal);
end;

procedure Register;
begin
  RegisterComponents('MPack 2', [TMStrReplace]);
end;

end.
