{*********************************}

  {Crditos-Autor}
  {* Criado por Vincius Magno *}
  {* E-mail magnolara@aol.com  *}

{*********************************}

unit MStrAjusta;

interface

uses
  Windows, Messages, SysUtils, Classes;

type
  TMStrAjusta = class(TComponent)
  private
    { Private declarations }
    FAboutAutor: String;
    FAboutRelease: String;
    FOriginal: string;
    FCaracter: string;
    FAjustado: string;
    procedure SetAboutAutor(Value: string);
    procedure SetAboutRelease(Value: string);
    procedure SetAjuste(Value: string);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override; published
    function AjustaStr(Nome: String): String;
  published
    { Published declarations }
    property AboutAutor: String read FAboutAutor write SetAboutAutor;
    property AboutRelease: String read FAboutRelease write SetAboutRelease;
    property Original: string read FOriginal write SetAjuste;
    property Ajustado: string read FAjustado write FAjustado;
    property Caracter: string read FCaracter write FCaracter;
  end;

procedure Register;

implementation

constructor TMStrAjusta.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FAboutAutor := 'Vincius Magno Lara - magnolara@aol.com';
  FAboutRelease := '1.0 - 02/05/2003';
  FCaracter := ','; 
end;

function TMStrAjusta.AjustaStr(Nome: String): String;
var
  Cont : Integer;
begin
   Result := '';
   for Cont := 1 to Length(Nome) do
   begin
     If Nome[Cont] <> (FCaracter) then
     begin
       result := result + Nome[cont]
     end
   end;
end;

procedure TMStrAjusta.SetAboutAutor(Value: string);
begin
  ;
end;

procedure TMStrAjusta.SetAboutRelease(Value: string);
begin
  ;
end;

procedure TMStrAjusta.SetAjuste(Value: string);
begin
  FOriginal := value;
  FAjustado := AjustaStr(FOriginal);
end;

procedure Register;
begin
  RegisterComponents('MPack 2', [TMStrAjusta]);
end;

end.
